%global srcname passlib

Name:           python3-%{srcname}
Version:        1.7.1
Release:        1%{?dist}
Summary:        comprehensive password hashing framework supporting over 30 schemes

License:        BSD
URL:            https://bitbucket.org/ecollins/passlib
Source0:        https://files.pythonhosted.org/packages/25/4b/6fbfc66aabb3017cd8c3bd97b37f769d7503ead2899bf76e570eb91270de/passlib-1.7.1.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pytest-runner
BuildRequires:  python%{python3_pkgversion}-nose

%description
Passlib is a password hashing library for Python 2 & 3, which provides
cross-platform implementations of over 30 password hashing algorithms, as well
as a framework for managing existing password hashes. It's designed to be useful
for a wide range of tasks, from verifying a hash found in /etc/shadow, to
providing full-strength password hashing for multi-user applications.

* See the `documentation

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        comprehensive password hashing framework supporting over 30 schemes




%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
Passlib is a password hashing library for Python 2 & 3, which provides
cross-platform implementations of over 30 password hashing algorithms, as well
as a framework for managing existing password hashes. It's designed to be useful
for a wide range of tasks, from verifying a hash found in /etc/shadow, to
providing full-strength password hashing for multi-user applications.

* See the `documentation



%prep
%setup -q -n %{srcname}-%{version}
# Use system six
rm -rf test/with_dummyserver/


%build
%py3_build


%install
%py3_install

%check
nosetests-%{python3_version}


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info


%changelog
* Mon Sep 17 2018 Matej Mužila <mmuzila@redhat.com> - 1.7.1-1
- Initial release